Install ERPNext from A to Z

Hello there,
I am new, trying to install ERPNext on ‘AWS’ VM Ubuntu 18.4 LTS OS but i am unable to setup properly. Is there anyone who can guide me to install ERPNext from A to Z …?
Thank you In advance

2 Likes

Please go to this link it might help you:

Thank you for your reply…
I have created VM and running well but i can’t install ERPNext on there. when i call “bench”, it shows error. Even though i can’t make “new site” …

Paste the error traceback here and the installation steps. It will give people a better idea about what’s possibly wrong.

06:51:09 redis_cache.1 | 3323:M 20 Jan 06:51:09.437 * Ready to accept connect ions
06:51:11 socketio.1 | listening on *: 9000
06:51:21 web.1 | * Running on http://0.0.0.0:8000/ (Press CTRL+C to quit)
06:51:21 web.1 | * Restarting with inotify reloader
06:51:22 watch.1 | yarn run v1.21.1
06:51:22 watch.1 | $ node rollup/watch.js
06:51:23 web.1 | * Debugger is active!
06:51:23 web.1 | * Debugger PIN: 316-964-360
06:52:23 watch.1 |
06:52:23 watch.1 | Rollup Watcher Started
06:52:23 watch.1 |
06:52:23 watch.1 | Watching…
06:52:23 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:23] “GET / HTTP/ 1.1” 200 -
06:52:23 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:23 ] “GET / HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /frappe/css/bootstrap.css HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/frappe/css/bootstrap.css HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /css/frappe-web.css HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/css/frappe-web.css HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /css/erpnext-web.css HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/css/erpnext-web.css HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /frappe/js/lib/jquery/jquery.min.js HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/frappe/js/lib/jquery/jquery.min.js HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /frappe/js/lib/socket.io.min.js HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/frappe/js/lib/socket.io.min.js HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /js/frappe-web.min.js HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/js/frappe-web.min.js HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /frappe/js/lib/bootstrap.min.js HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/frappe/js/lib/bootstrap.min.js HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /assets /js/erpnext-web.min.js HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /assets/js/erpnext-web.min.js HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /websit e_theme.css HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /website_theme.css HTTP/1.1” 200 -
06:52:24 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:24] “GET /websit e_script.js HTTP/1.1” 200 -
06:52:24 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:24 ] “GET /website_script.js HTTP/1.1” 200 -
06:52:24 watch.1 | Rebuilding frappe-web.css
06:52:25 watch.1 | Rebuilding chat.js
06:52:25 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:25] “POST / HTTP /1.1” 200 -
06:52:25 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:25 ] “POST / HTTP/1.1” 200 -
06:52:25 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:25] “GET /assets /frappe/css/fonts/fontawesome/fontawesome-webfont.woff2?v=4.7.0 HTTP/1.1” 200 -
06:52:25 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:25 ] “GET /assets/frappe/css/fonts/fontawesome/fontawesome-webfont.woff2?v=4.7.0 HT TP/1.1” 200 -
06:52:25 web.1 | 3.0.93.129 - - [20/Jan/2020 06:52:25] “GET /api/meth od/frappe.realtime.get_user_info?sid=Guest HTTP/1.1” 200 -
06:52:25 web.1 | INFO:werkzeug:3.0.93.129 - - [20/Jan/2020 06:52:25] “GET /api/method/frappe.realtime.get_user_info?sid=Guest HTTP/1.1” 200 -
06:52:25 web.1 | 120.50.8.106 - - [20/Jan/2020 06:52:25] “GET /assets /erpnext/images/favicon.png HTTP/1.1” 200 -
06:52:25 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:52:25 ] “GET /assets/erpnext/images/favicon.png HTTP/1.1” 200 -
06:52:25 web.1 | * Detected change in ‘/home/ubuntu/erpnext/frappe-b ench/apps/erpnext/erpnext/shopping_cart/pycache/utils.cpython-36.pyc’, reloa ding
06:52:25 web.1 | INFO:werkzeug: * Detected change in ‘/home/ubuntu/er pnext/frappe-bench/apps/erpnext/erpnext/shopping_cart/pycache/utils.cpython- 36.pyc’, reloading
06:52:32 web.1 | * Restarting with inotify reloader
06:52:34 watch.1 | Rebuilding frappe-web.min.js
06:53:13 web.1 | * Debugger is active!
06:53:13 web.1 | * Debugger PIN: 316-964-360
06:53:14 web.1 | 120.50.8.106 - - [20/Jan/2020 06:53:14] “POST / HTTP /1.1” 500 -
06:53:14 web.1 | Traceback (most recent call last):
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/pymysql/connections.py”, line 583, in connect
06:53:14 web.1 | **kwargs)
06:53:14 web.1 | File “/usr/lib/python3.6/socket.py”, line 724, in create_connection
06:53:14 web.1 | raise err
06:53:14 web.1 | File “/usr/lib/python3.6/socket.py”, line 713, in create_connection
06:53:14 web.1 | sock.connect(sa)
06:53:14 web.1 | ConnectionRefusedError: [Errno 111] Connection refus ed
06:53:14 web.1 |
06:53:14 web.1 | During handling of the above exception, another exce ption occurred:
06:53:14 web.1 |
06:53:14 web.1 | Traceback (most recent call last):
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frapp e/frappe/middlewares.py”, line 15, in call
06:53:14 web.1 | return super(StaticDataMiddleware, self)._call _(environ, start_response)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/werkzeug/middleware/shared_data.py”, line 220, in call
06:53:14 web.1 | return self.app(environ, start_response)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/werkzeug/middleware/shared_data.py”, line 220, in call
06:53:14 web.1 | return self.app(environ, start_response)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/werkzeug/local.py”, line 231, in application
06:53:14 web.1 | return ClosingIterator(app(environ, start_respon se), self.cleanup)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/werkzeug/wrappers/base_request.py”, line 237, in applicati on
06:53:14 web.1 | resp = f(*args[:-2] + (request,))
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frapp e/frappe/app.py”, line 94, in application
06:53:14 web.1 | frappe.db.rollback()
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frapp e/frappe/database.py”, line 828, in rollback
06:53:14 web.1 | self.sql(“rollback”)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frapp e/frappe/database.py”, line 165, in sql
06:53:14 web.1 | self.connect()
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frapp e/frappe/database.py”, line 115, in connect
06:53:14 web.1 | charset=‘utf8mb4’, use_unicode = True, conv = co nversions, local_infile = self.local_infile)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/pymysql/init.py”, line 94, in Connect
06:53:14 web.1 | return Connection(*args, **kwargs)
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/pymysql/connections.py”, line 325, in init
06:53:14 web.1 | self.connect()
06:53:14 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/py thon3.6/site-packages/pymysql/connections.py”, line 630, in connect
06:53:14 web.1 | raise exc
06:53:14 web.1 | pymysql.err.OperationalError: (2003, “Can’t connect to MySQL server on ‘localhost’ ([Errno 111] Connection refused)”)
06:53:15 watch.1 | Rebuilding control.min.js
06:53:18 watch.1 | Rebuilding dialog.min.js
06:55:48 watch.1 | Killed
06:55:49 schedule.1 | Traceback (most recent call last):
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 691, in _read_bytes
06:55:49 schedule.1 | data = self._rfile.read(num_bytes)
06:55:49 schedule.1 | File “/usr/lib/python3.6/socket.py”, line 586, in readinto
06:55:49 schedule.1 | return self._sock.recv_into(b)
06:55:49 schedule.1 | ConnectionResetError: [Errno 104] Connection reset by peer
06:55:49 schedule.1 |
06:55:49 schedule.1 | During handling of the above exception, another exception occurred:
06:55:49 schedule.1 |
06:55:49 schedule.1 | Traceback (most recent call last):
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/utils/scheduler.py”, line 73, in enqueue_events_for_all_sites
06:55:49 schedule.1 | enqueue_events_for_site(site=site, queued_jobs=jobs_per_site[site])
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/utils/scheduler.py”, line 103, in enqueue_events_for_site
06:55:49 schedule.1 | log_and_raise()
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/utils/scheduler.py”, line 93, in enqueue_events_for_site
06:55:49 schedule.1 | if is_scheduler_disabled():
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/utils/scheduler.py”, line 237, in is_scheduler_disabled
06:55:49 schedule.1 | return not frappe.utils.cint(frappe.db.get_single_value(“System Settings”, “enable_scheduler”))
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/database.py”, line 642, in get_single_value
06:55:49 schedule.1 | tabSingles where doctype=%s and field=%s""", (doctype, fieldname))
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/database.py”, line 165, in sql
06:55:49 schedule.1 | self.connect()
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/database.py”, line 115, in connect
06:55:49 schedule.1 | charset=‘utf8mb4’, use_unicode = True, conv = conversions, local_infile = self.local_infile)
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/init.py”, line 94, in Connect
06:55:49 schedule.1 | return Connection(*args, **kwargs)
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 325, in init
06:55:49 schedule.1 | self.connect()
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 598, in connect
06:55:49 schedule.1 | self._get_server_information()
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 975, in _get_server_information
06:55:49 schedule.1 | packet = self._read_packet()
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 657, in _read_packet
06:55:49 schedule.1 | packet_header = self._read_bytes(4)
06:55:49 schedule.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 699, in _read_bytes
06:55:49 schedule.1 | “Lost connection to MySQL server during query (%s)” % (e,))
06:55:49 schedule.1 | pymysql.err.OperationalError: (2013, ‘Lost connection to MySQL server during query ([Errno 104] Connection reset by peer)’)
06:55:49 schedule.1 |
06:55:49 watch.1 | error Command failed with exit code 137.
06:55:49 watch.1 | info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
06:55:49 web.1 | 120.50.8.106 - - [20/Jan/2020 06:55:49] “POST / HTTP/1.1” 500 -
06:55:49 web.1 | INFO:werkzeug:120.50.8.106 - - [20/Jan/2020 06:55:49] “POST / HTTP/1.1” 500 -
06:55:49 web.1 | Traceback (most recent call last):
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 583, in connect
06:55:49 web.1 | **kwargs)
06:55:49 web.1 | File “/usr/lib/python3.6/socket.py”, line 724, in create_connection
06:55:49 web.1 | raise err
06:55:49 web.1 | File “/usr/lib/python3.6/socket.py”, line 713, in create_connection
06:55:49 web.1 | sock.connect(sa)
06:55:49 web.1 | ConnectionRefusedError: [Errno 111] Connection refused
06:55:49 web.1 |
06:55:49 web.1 | During handling of the above exception, another exception occurred:
06:55:49 web.1 |
06:55:49 web.1 | Traceback (most recent call last):
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/middlewares.py”, line 15, in call
06:55:49 web.1 | return super(StaticDataMiddleware, self).call(environ, start_response)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/werkzeug/middleware/shared_data.py”, line 220, in call
06:55:49 web.1 | return self.app(environ, start_response)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/werkzeug/middleware/shared_data.py”, line 220, in call
06:55:49 web.1 | return self.app(environ, start_response)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 231, in application
06:55:49 web.1 | return ClosingIterator(app(environ, start_response), self.cleanup)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/werkzeug/wrappers/base_request.py”, line 237, in application
06:55:49 web.1 | resp = f(*args[:-2] + (request,))
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/app.py”, line 94, in application
06:55:49 web.1 | frappe.db.rollback()
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/database.py”, line 828, in rollback
06:55:49 web.1 | self.sql(“rollback”)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/database.py”, line 165, in sql
06:55:49 web.1 | self.connect()
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/apps/frappe/frappe/database.py”, line 115, in connect
06:55:49 web.1 | charset=‘utf8mb4’, use_unicode = True, conv = conversions, local_infile = self.local_infile)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/init.py”, line 94, in Connect
06:55:49 web.1 | return Connection(*args, **kwargs)
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 325, in init
06:55:49 web.1 | self.connect()
06:55:49 web.1 | File “/home/ubuntu/erpnext/frappe-bench/env/lib/python3.6/site-packages/pymysql/connections.py”, line 630, in connect
06:55:49 web.1 | raise exc
06:55:49 web.1 | pymysql.err.OperationalError: (2003, “Can’t connect to MySQL server on ‘localhost’ ([Errno 111] Connection refused)”)
06:55:49 system | watch.1 stopped (rc=0)
06:55:49 system | sending SIGTERM to redis_socketio.1 (pid 3302)
06:55:49 system | sending SIGTERM to worker_long.1 (pid 3299)
06:55:49 system | sending SIGTERM to redis_queue.1 (pid 3300)
06:55:49 system | sending SIGTERM to web.1 (pid 3301)
06:55:49 system | sending SIGTERM to schedule.1 (pid 3305)
06:55:49 system | sending SIGTERM to worker_default.1 (pid 3304)
06:55:49 system | sending SIGTERM to socketio.1 (pid 3307)
06:55:49 system | sending SIGTERM to redis_cache.1 (pid 3306)
06:55:49 system | sending SIGTERM to worker_short.1 (pid 3308)
06:55:49 redis_socketio.1 | 3316:signal-handler (1579503349) Received SIGTERM scheduling shutdown…
06:55:49 worker_long.1 | 06:55:49 Warm shut down requested
06:55:49 redis_queue.1 | 3310:signal-handler (1579503349) Received SIGTERM scheduling shutdown…
06:55:49 worker_default.1 | 06:55:49 Warm shut down requested
06:55:49 redis_cache.1 | 3323:signal-handler (1579503349) Received SIGTERM scheduling shutdown…
06:55:49 worker_short.1 | 06:55:49 Warm shut down requested
06:55:49 system | socketio.1 stopped (rc=-15)
06:55:49 system | schedule.1 stopped (rc=-15)
06:55:49 redis_socketio.1 | 3316:M 20 Jan 06:55:49.926 # User requested shutdown…
06:55:49 redis_socketio.1 | 3316:M 20 Jan 06:55:49.927 * Removing the pid file.
06:55:49 redis_queue.1 | 3310:M 20 Jan 06:55:49.927 # User requested shutdown…
06:55:49 redis_queue.1 | 3310:M 20 Jan 06:55:49.927 * Removing the pid file.
06:55:49 redis_cache.1 | 3323:M 20 Jan 06:55:49.927 # User requested shutdown…
06:55:49 redis_cache.1 | 3323:M 20 Jan 06:55:49.927 * Removing the pid file.
06:55:49 redis_queue.1 | 3310:M 20 Jan 06:55:49.929 # Redis is now ready to exit, bye bye…
06:55:49 redis_socketio.1 | 3316:M 20 Jan 06:55:49.929 # Redis is now ready to exit, bye bye…
06:55:49 redis_cache.1 | 3323:M 20 Jan 06:55:49.930 # Redis is now ready to exit, bye bye…
06:55:49 system | redis_queue.1 stopped (rc=-15)
06:55:49 system | redis_cache.1 stopped (rc=-15)
06:55:49 system | redis_socketio.1 stopped (rc=-15)
06:55:50 system | worker_default.1 stopped (rc=-15)
06:55:50 system | worker_short.1 stopped (rc=-15)
06:55:50 system | worker_long.1 stopped (rc=-15)
06:55:50 system | web.1 stopped (rc=-15)

You are starting and stopping the development server. When it is stopped, you cannot access erpnext.
Run sudo bench setup production if you want your server to run all the time.